//////////////////////////////////////////////////////////////////////////
//
//  resource.h
//
//      This file contains all of the resource ids used by the application.
//
//  (C) Copyright 1997 by Microsoft Corporation. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////

#ifndef _RESOURCE_H_
#define _RESOURCE_H_

#include <winuser.h>

//
//  icons.
//
#define IDI_WEBAPP             1

//
//  cursors.
//
#define IDC_BRHAND             1

//
//  bitmaps.
//

#define IDB_TOP                20
#define IDB_CENTER             21
#define IDB_BOTTOM             22

#define IDB_FLAG               40
#define IDB_HEADER             50
#define IDB_HEADERSUB          60

#define IDB_YELLOW             70
#define IDB_YELLOW_HOVER       71
#define IDB_YELLOW_DISABLED    72

#define IDB_RED                80
#define IDB_RED_HOVER          81
#define IDB_RED_DISABLED       82

#define IDB_GREEN              90
#define IDB_GREEN_HOVER        91
#define IDB_GREEN_DISABLED     92

#define IDB_BLUE              100
#define IDB_BLUE_HOVER        101
#define IDB_BLUE_DISABLED     102

#define IDB_GRADIENT_TOP      110
#define IDB_GRADIENT_BOTTOM   111
#define IDB_CLOUDSFLAG        112
#define IDB_CLOUDSFLAG_RTL    113

#define IDB_FLAG_256              540
#define IDB_HEADER_256            550
#define IDB_HEADERSUB_256         560

#define IDB_YELLOW_256            570
#define IDB_YELLOW_HOVER_256      571
#define IDB_YELLOW_DISABLED_256   572

#define IDB_RED_256               580
#define IDB_RED_HOVER_256         581
#define IDB_RED_DISABLED_256      582

#define IDB_GREEN_256             590
#define IDB_GREEN_HOVER_256       591
#define IDB_GREEN_DISABLED_256    592

#define IDB_BLUE_256              600
#define IDB_BLUE_HOVER_256        601
#define IDB_BLUE_DISABLED_256     602

#define IDB_GRADIENT_TOP_256      610
#define IDB_GRADIENT_BOTTOM_256   611
#define IDB_CLOUDSFLAG_256        612
#define IDB_CLOUDSFLAG_RTL_256    613


//
//  string table entries.
//
#define IDS_TITLE              1000
#define IDS_TITLEBAR           1001
#define IDS_HEADER             1002

#define IDS_PSCTITLE           1100
#define IDS_PSCDESC            1101
#define IDS_PSCCONFIG          1102
#define IDS_PSCARGS            1103
#define IDS_PSCMENU            1104

#define IDS_TITLE0             1200
#define IDS_TITLE1             1201
#define IDS_TITLE2             1202
#define IDS_TITLE3             1203
#define IDS_TITLE4             1204
#define IDS_TITLE5             1205
#define IDS_TITLE6             1206
#define IDS_TITLE6             1206
#define IDS_TITLE7             1207
#define IDS_TITLE8             1208
#define IDS_TITLE9             1209
#define IDS_TITLE10            1210
#define IDS_TITLE11            1211
#define IDS_TITLE12            1212
#define IDS_TITLE13            1213

#define IDS_CONFIG0            1300
#define IDS_CONFIG1            1301
#define IDS_CONFIG2            1302
#define IDS_CONFIG3            1303
#define IDS_CONFIG4            1304
#define IDS_CONFIG5            1305
#define IDS_CONFIG6            1306
#define IDS_CONFIG7            1307
#define IDS_CONFIG8            1308
#define IDS_CONFIG9            1309
#define IDS_CONFIG10           1310
#define IDS_CONFIG11           1311
#define IDS_CONFIG12           1312
#define IDS_CONFIG13           1313

#define IDS_ARGS0              1400
#define IDS_ARGS1              1401
#define IDS_ARGS2              1402
#define IDS_ARGS3              1403
#define IDS_ARGS4              1404
#define IDS_ARGS5              1405
#define IDS_ARGS6              1406
#define IDS_ARGS7              1407
#define IDS_ARGS8              1408
#define IDS_ARGS9              1409
#define IDS_ARGS10             1410
#define IDS_ARGS11             1411
#define IDS_ARGS12             1412
#define IDS_ARGS13             1413

#define IDS_OLDCDROM           2000
#define IDS_NEWCDROM           2001

#define IDS_FONTFACE_TITLE          3000
#define IDS_FONTFACE_HEADER         3001
#define IDS_FONTFACE_MENU           3002
#define IDS_FONTFACE_TITLE_BACKUP   3003
#define IDS_FONTFACE_HEADER_BACKUP  3004
#define IDS_FONTFACE_MENU_BACKUP    3005

#define IDS_FONTCY_TITLE            3100
#define IDS_FONTCY_HEADER           3101
#define IDS_FONTCY_MENU             3102
#define IDS_FONTCY_TITLE_BACKUP     3103
#define IDS_FONTCY_HEADER_BACKUP    3104
#define IDS_FONTCY_MENU_BACKUP      3105

#define IDS_FONTCY_TITLE_LIL         3200
#define IDS_FONTCY_HEADER_LIL        3201
#define IDS_FONTCY_MENU_LIL          3202
#define IDS_FONTCY_TITLE_BACKUP_LIL  3203
#define IDS_FONTCY_HEADER_BACKUP_LIL 3204
#define IDS_FONTCY_MENU_BACKUP_LIL   3205

//
//  commands.
//
#define IDM_SHOWCHECK          500
#define IDM_MENUITEM0          500
#define IDM_MENUITEM1          501
#define IDM_MENUITEM2          502
#define IDM_MENUITEM3          503
#define IDM_MENUITEM4          504
#define IDM_MENUITEM5          505
#define IDM_MENUITEM6          506
#define IDM_MENUITEM7          507
#define IDM_MENUITEM8          508

#define MAX_MENUITEMS          (IDM_MENUITEM8 - IDM_MENUITEM0)

#endif
